
# react-native-incito-native-library

## Getting started

`$ npm install react-native-incito-native-library --save`

### Mostly automatic installation

`$ react-native link react-native-incito-native-library`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-incito-native-library` and add `RNIncitoNativeLibrary.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNIncitoNativeLibrary.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNIncitoNativeLibraryPackage;` to the imports at the top of the file
  - Add `new RNIncitoNativeLibraryPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-incito-native-library'
  	project(':react-native-incito-native-library').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-incito-native-library/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-incito-native-library')
  	```


## Usage
```javascript
import RNIncitoNativeLibrary from 'react-native-incito-native-library';

// TODO: What to do with the module?
RNIncitoNativeLibrary;
```
  