import React, { Component } from 'react';
import Incito from '../index';
import { single_text_view, linear_layout, absolute_layout, image_view, background_image} from '../examples';
import renderer from 'react-test-renderer';

it('renders single text view', () => {
    const tree = renderer
        .create(<Incito options={{incito: single_text_view}} />)
        .toJSON();
    expect(tree).toMatchSnapshot();
});

//it('renders video view', () => {
//    const tree = renderer
//        .create(<Incito options={{incito: single_text_view}} />)
//        .toJSON();
//    expect(tree).toMatchSnapshot();
//});

it('renders linear layout', () => {
    const tree = renderer
        .create(<Incito options={{incito: linear_layout}} />)
        .toJSON();
    expect(tree).toMatchSnapshot();
});

it('renders absolute layout', () => {
    const tree = renderer
        .create(<Incito options={{incito: absolute_layout}} />)
        .toJSON();
    expect(tree).toMatchSnapshot();
});

it('renders image view', () => {
    jest.useFakeTimers();
    const tree = renderer
        .create(<Incito options={{incito: image_view}} />)
        .toJSON();
    setTimeout(() => {
        expect(tree).toMatchSnapshot();
    }, 1500);

});

it('renders background image', () => {
    const tree = renderer
        .create(<Incito options={{incito: background_image}} />)
        .toJSON();
    expect(tree).toMatchSnapshot();
});
