let example_1 = {
    version: "1.0.0",
    root_view: {
        view_name: "View",
        layout_width: '50%',
        gravity: "center_horizontal",
        child_views: [
            {
                view_name: "TextView",
                text: "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,",
                background_color: "#e1dabf",
                text_size: 14,
                font_family: [
                    "incito-istok-regular",
                    "Helvetica",
                    "sans-serif"
                ]

            }
        ]
    },
    font_assets: {
        "incito-istok-regular": {
            "weight": "normal",
            "style": "normal",
            "src": [
                [
                    "woff",
                    "https://d3qnoxvhi29qvt.cloudfront.net/fonts/istok-web-v11-latin-regular.woff"
                ],
                [
                    "woff2",
                    "https://d3qnoxvhi29qvt.cloudfront.net/fonts/istok-web-v11-latin-regular.woff2"
                ],
                [
                    "truetype",
                    "https://d3qnoxvhi29qvt.cloudfront.net/fonts/istok-web-v11-latin-regular.ttf"
                ],
                [
                    "svg",
                    "https://d3qnoxvhi29qvt.cloudfront.net/fonts/istok-web-v11-latin-regular.svg"
                ],
                [
                    "embedded-opentype",
                    "https://d3qnoxvhi29qvt.cloudfront.net/fonts/istok-web-v11-latin-regular.eot"
                ]
            ]
        }
    }

}

let example_2 = {
    version: "1.0.0",
    root_view: {
        view_name: "View",
        gravity: "center_horizontal",
        child_views: [
            {
                view_name: "VideoView",
                loop: true,
                autoplay: false,
                controls: false,
                src: "https://www.w3schools.com/htmL/mov_bbb.mp4",
                mime: "mp4"
            }
        ]
    }
}

let example_3 = {
    version: "1.0.0",
    root_view: {
        view_name: "LinearLayout",
        child_views: [
            {
                view_name: "TextView",
                text: "Test",
                background_color: "#e1dabf",
            },
            {
                view_name: "TextView",
                text: "Test2",
                background_color: "#e1dabf",
            }
        ]
    }
}

let example_4 = {
    version: "1.0.0",
    root_view: {
        view_name: "AbsoluteLayout",
        child_views: [
            {
                view_name: "TextView",
                text: "Test",
                background_color: "#e1dabf",
            },
            {
                view_name: "TextView",
                text: "Test2",
                background_color: "#e1dabf",
            }
        ]
    }
}

let example_5 = {
    version: "1.0.0",
    root_view: {
        view_name: "View",
        child_views: [
            {
                "view_name": "ImageView",
                "transform_translate_y": 42.89296636085623,
                "transform_translate_x": 0,
                "transform_rotate": 0,
                "src": "https://bumblebee.imgix.net/feed-images/2ad2f88a51265397c844b000b36bbd7cb39d2ab4688ad5724c58afba891bab0c77a6ad7c5f846a444064ceef16080489f93d507541a6e1fbcd78ee9610a67063?w=276&h=170&auto=compress%2Cformat&dpr=2&s=83773b377fd0e187449a345bbdf0eabd",
                "layout_width": 276.00000000000017,
                "layout_height": 170.21406727828756
            }
        ]
    }
}


let example_6 =
    { incito:
            {
                version: "1.0.0",
                root_view :
                    {
                        view_name: "View",
                        child_views :
                            [
                                {
                                    "view_name": "View",
                                    "layout_width": "match_parent",
                                    "layout_height": "match_parent",
                                    "background_image": "https://bumblebee.imgix.net/feed-images/c298f8f9459f7bd803dbb55239c3a70865a5ed25ae64e20f6d077bdfb373d1a60f7ca2fc95c91b27f0a29b6388025f2f92e5e961bbaec3088a725d98cec4bd94?max-w=1200&fit=crop&auto=compress%2Cformat&s=736f2d68a461f583dca8ff9157f15ad8"
                                }
                            ]
                    }
            }
    }
module.exports = {
    single_text_view : example_1,
    video_view : example_2,
    linear_layout : example_3,
    absolute_layout : example_4,
    image_view : example_5,
    background_image : example_6,
};
