import convertToHex from '../hex-format';

it('test rgb with values length equal two', () => {
    let rgb ="rgb(255, 238, 221)";
    let hexValue = convertToHex(rgb).hex;
    expect(hexValue).toBe("#ffeedd");
});

it('test rgb with red length equal one', () => {
    let rgb ="rgb(1, 238, 221)";
    let hexValue = convertToHex(rgb).hex;
    expect(hexValue).toBe("#01eedd");
});

it('test rgb with green length equal one', () => {
    let rgb ="rgb(254, 2, 238)";
    let hexValue = convertToHex(rgb).hex;
    expect(hexValue).toBe("#fe02ee");
});

it('test rgb with blue length equal one', () => {
    let rgb ="rgb(221, 238, 3)";
    let hexValue = convertToHex(rgb).hex;
    expect(hexValue).toBe("#ddee03");
});

it('test rgba with values length equal two', () => {
    let rgb ="rgb(221, 238, 3, 0.2)";
    let object = convertToHex(rgb);
    let hexValue = object.hex;
    expect(object.opacity).toBeCloseTo(0.2)
});

it('test hex value', () => {
    let rgb ="#232323";
    expect(convertToHex(rgb).hex).toBe("#232323");
});
