import React, { Component } from 'react';
import IncitoView from './view';
import Video from 'react-native-video';
import VideoPlayer from 'react-native-video-controls';


class IncitoVideoView extends IncitoView {

    createElement() {

        if (!this.attributes().src)
            return <View/>

        let controls = this.attributes().controls ? this.attributes().controls : false;
        if(controls)
            return (<VideoPlayer src={this.attributes().src} paused={!this.attributes().autoplay} repeat={!!this.attributes().loop} style={this.layoutStyle} />);
        else
            return (<Video src={this.attributes().src} paused={!this.attributes().autoplay} repeat={!!this.attributes().loop} style={this.layoutStyle} />);
    }
}

module.exports = IncitoVideoView